Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class EventBuffer

    java.lang.Object
      com.skype.ipc.EventBuffer

All Implemented Interfaces:
  InputTransporting

    public final class EventBuffer

extends java.lang.Object
implements InputTransporting

Constructor Summary
`EventBuffer(int listMaxNested, int listMaxElem)`

Method Summary
`void` | `bufferChange(InputTransporting transport)`
`void` | `bufferEvent(InputTransporting transport)`
`void` | `close()`
`boolean` | `isEmpty()`
`int` | `readByte()`
`void` | `readBytes(byte[] dest)`
`void` | `readBytes(byte[] dest, int offset, int numBytes)`
`void` | `skipBytes(int numBytes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventBuffer

    public EventBuffer(int listMaxNested,
                       int listMaxElem)

Method Detail

### isEmpty

    public boolean isEmpty()

### skipBytes

    public void skipBytes(int numBytes)
                   throws java.io.IOException

  Specified by:
    `skipBytes` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### readBytes

    public void readBytes(byte[] dest,
                          int offset,
                          int numBytes)
                   throws java.io.IOException

  Specified by:
    `readBytes` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### readByte

    public int readByte()
                 throws java.io.IOException

  Specified by:
    `readByte` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### readBytes

    public void readBytes(byte[] dest)
                   throws java.io.IOException

  Specified by:
    `readBytes` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### bufferEvent

    public void bufferEvent(InputTransporting transport)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### bufferChange

    public void bufferChange(InputTransporting transport)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.